# openEuler 1.0 管理员指南

-   [法律声明](法律声明.md)
-   [前言](前言.md)
-   [基础配置](基础配置.md)
    -   [通过命令设置](通过命令设置.md)
        -   [设置语言环境](设置语言环境.md)
        -   [设置键盘](设置键盘.md)
        -   [设置日期和时间](设置日期和时间.md)
            -   [使用timedatectl命令设置](使用timedatectl命令设置.md)
            -   [使用date命令设置](使用date命令设置.md)
            -   [使用hwclock命令设置](使用hwclock命令设置.md)



-   [查看系统信息](查看系统信息.md)
-   [管理用户](管理用户.md)
    -   [增加用户](增加用户.md)
    -   [修改用户账号](修改用户账号.md)
    -   [删除用户](删除用户.md)
    -   [管理员账户授权](管理员账户授权.md)
        -   [为普通用户分配特权](为普通用户分配特权.md)


-   [使用DNF管理软件包](使用DNF管理软件包.md)
    -   [配置DNF](配置DNF.md)
        -   [修改配置文件](修改配置文件.md)
        -   [创建本地软件源仓库](创建本地软件源仓库.md)
        -   [添加、启用和禁用软件源](添加-启用和禁用软件源.md)

    -   [管理软件包](管理软件包.md)
    -   [管理软件包组](管理软件包组.md)
    -   [检查并更新](检查并更新.md)

-   [管理服务](管理服务.md)
    -   [简介](简介.md)
    -   [特性说明](特性说明.md)
    -   [管理系统服务](管理系统服务.md)
    -   [改变运行级别](改变运行级别.md)
    -   [关闭、暂停和休眠系统](关闭-暂停和休眠系统.md)

-   [管理进程](管理进程.md)
    -   [管理系统进程](管理系统进程.md)
        -   [调度启动进程](调度启动进程.md)
            -   [定时运行一批程序（at）](定时运行一批程序（at）.md)
            -   [周期性运行一批程序（cron）](周期性运行一批程序（cron）.md)

        -   [挂起/恢复进程](挂起-恢复进程.md)

    -   [查看进程](查看进程.md)

-   [配置网络](配置网络.md)
    -   [配置 IP](配置-IP.md)
        -   [使用nmcli](使用nmcli.md)
            -   [nmcli介绍](nmcli介绍.md)
            -   [设置网络连接](设置网络连接.md)
                -   [配置动态IP连接](配置动态IP连接.md)
                -   [配置静态IP连接](配置静态IP连接.md)
                -   [添加 Wi-Fi 连接](添加-Wi-Fi-连接.md)
                -   [更改属性](更改属性.md)

            -   [配置静态路由](配置静态路由.md)

        -   [使用命令行](使用命令行.md)
            -   [通过ifcfg文件配置网络](通过ifcfg文件配置网络.md)
            -   [使用 ip 命令配置网络](使用-ip-命令配置网络.md)
            -   [静态路由及默认网关](静态路由及默认网关.md)


    -   [配置主机名](配置主机名.md)
        -   [简介](简介-0.md)
        -   [使用hostnamectl配置主机名](使用hostnamectl配置主机名.md)
        -   [使用nmcli配置主机名](使用nmcli配置主机名.md)

    -   [配置网络绑定](配置网络绑定.md)
        -   [使用nmcli](使用nmcli-1.md)
        -   [使用命令行](使用命令行-2.md)
            -   [检查是否已安装Bonding内核模块](检查是否已安装Bonding内核模块.md)
            -   [创建频道绑定接口](创建频道绑定接口.md)
            -   [创建从属接口](创建从属接口.md)
            -   [激活频道绑定](激活频道绑定.md)
            -   [创建多个绑定](创建多个绑定.md)


    -   [IPv6使用差异说明（vs IPv4）](IPv6使用差异说明（vs-IPv4）.md)
        -   [约束限制](约束限制.md)
        -   [配置说明](配置说明.md)
            -   [设置接口设备MTU值](设置接口设备MTU值.md)
            -   [有状态自动配置IPv6地址](有状态自动配置IPv6地址.md)
            -   [内核支持socket相关系统调用](内核支持socket相关系统调用.md)
            -   [IPv4的dhclient守护进程持久化配置](IPv4的dhclient守护进程持久化配置.md)
            -   [iproute相关命令配置IPv4与IPv6时的差异说明](iproute相关命令配置IPv4与IPv6时的差异说明.md)
            -   [NetworkManager服务配置差异说明](NetworkManager服务配置差异说明.md)

        -   [FAQ](FAQ.md)
            -   [iscsi-initiator-utils不支持登录fe80 IPv6地址](iscsi-initiator-utils不支持登录fe80-IPv6地址.md)
            -   [网卡down掉之后，IPv6地址丢失](网卡down掉之后-IPv6地址丢失.md)
            -   [bond口已具有多个IPv6地址时，添加或删除IPv6地址耗时过久](bond口已具有多个IPv6地址时-添加或删除IPv6地址耗时过久.md)
            -   [Rsyslog在IPv4和IPv6混合使用场景中日志传输延迟](Rsyslog在IPv4和IPv6混合使用场景中日志传输延迟.md)



-   [搭建服务](搭建服务.md)
    -   [搭建repo服务器](搭建repo服务器.md)
        -   [概述](概述.md)
        -   [创建/更新本地repo源](创建-更新本地repo源.md)
            -   [获取ISO镜像](获取ISO镜像.md)
            -   [挂载ISO创建repo源](挂载ISO创建repo源.md)
            -   [创建本地repo源](创建本地repo源.md)
            -   [更新repo源](更新repo源.md)

        -   [部署远端repo源](部署远端repo源.md)
            -   [nginx安装与配置](nginx安装与配置.md)
            -   [启动nginx服务](启动nginx服务.md)
            -   [repo源部署](repo源部署.md)

        -   [使用repo源](使用repo源.md)
            -   [repo配置为yum源](repo配置为yum源.md)
            -   [repo优先级](repo优先级.md)
            -   [dnf相关命令](dnf相关命令.md)


    -   [搭建FTP服务器](搭建FTP服务器.md)
        -   [总体介绍](总体介绍.md)
        -   [使用vsftpd](使用vsftpd.md)
        -   [配置vsftpd](配置vsftpd.md)
            -   [vsftpd配置文件介绍](vsftpd配置文件介绍.md)
            -   [默认配置说明](默认配置说明.md)
            -   [配置本地时间](配置本地时间.md)
            -   [配置欢迎信息](配置欢迎信息.md)
            -   [配置系统帐号登录权限](配置系统帐号登录权限.md)

        -   [验证FTP服务是否搭建成功](验证FTP服务是否搭建成功.md)
        -   [配置防火墙](配置防火墙.md)
        -   [传输文件](传输文件.md)

    -   [搭建web服务器](搭建web服务器.md)
        -   [概述](概述-3.md)
        -   [管理httpd](管理httpd.md)
        -   [配置文件说明](配置文件说明.md)
        -   [管理模块和SSL](管理模块和SSL.md)
        -   [验证web服务是否搭建成功](验证web服务是否搭建成功.md)



