# 管理软件包组<a name="ZH-CN_TOPIC_0182317334"></a>

软件包集合是服务于一个共同的目的一组软件包，例如系统工具集等。使用dnf可以对软件包组进行安装/删除等操作，使相关操作更高效。

## 列出软件包组清单<a name="zh-cn_topic_0151920930_s819c5bdbf2d944ce8d6e51218d242e02"></a>

使用summary参数，可以列出系统中所有已安装软件包组、可用的组，可用的环境组的数量，命令如下：

```
dnf groups summary
```

使用示例如下：

```
# dnf groups summary
Last metadata expiration check: 0:11:56 ago on Sat 17 Aug 2019 07:45:14 PM CST.
Available Groups: 8
```

要列出所有软件包组和它们的组ID ，命令如下：

```
dnf group list
```

使用示例如下：

```
# dnf group list
Last metadata expiration check: 0:10:32 ago on Sat 17 Aug 2019 07:45:14 PM CST.
Available Environment Groups:
   Minimal Install
   Custom Operating System
   Server
Available Groups:
   Development Tools
   Graphical Administration Tools
   Headless Management
   Legacy UNIX Compatibility
   Network Servers
   Scientific Support
   Security Tools
   System Tools

```

## 显示软件包组信息<a name="zh-cn_topic_0151920930_seb574abb2d554bf5b83e8fd64928e387"></a>

要列出包含在一个软件包组中必须安装的包和可选包，使用命令如下：

```
dnf group info glob_expression…
```

例如显示Development Tools信息，示例如下：

```
# dnf group info "Development Tools"
Last metadata expiration check: 0:14:54 ago on Wed 05 Jun 2019 08:38:02 PM CST.

Group: Development Tools
 Description: A basic development environment.
 Mandatory Packages:
   binutils
   glibc-devel
   make
   pkgconf
   pkgconf-m4
   pkgconf-pkg-config
   rpm-sign
 Optional Packages:
   expect
```

## 安装软件包组<a name="zh-cn_topic_0151920930_s60f5aa4c97d4459a8228576824039ffa"></a>

每一个软件包组都有自己的名称以及相应的ID（groupid），您可以使用软件包组名称或它的ID进行安装。

要安装一个软件包组，请在root权限下执行如下命令：

```
dnf group install group_name 
```

```
dnf group install groupid
```

例如安装Development Tools相应的软件包组，命令如下：

```
# dnf group install "Development Tools" 
```

```
# dnf group install development
```

## 删除软件包组<a name="zh-cn_topic_0151920930_s276dd3f12523439e957e3e91a78844de"></a>

要卸载软件包组，您可以使用软件包组名称或它的ID，在root权限下执行如下命令：

```
dnf group remove group_name
```

```
dnf group remove groupid
```

例如删除Development Tools相应的软件包组，命令如下：

```
# dnf group remove "Development Tools" 
```

```
# dnf group remove development
```

