# 启动安全容器<a name="ZH-CN_TOPIC_0184808170"></a>

1.  确保安全容器组件已经正确安装部署。
2.  准备容器镜像。例如使用docker-engine下载容器镜像，此处假设容器镜像为busybox。

    ```
    docker pull busybox
    ```

3.  启动一个安全容器。

    ```
    docker run -tid --runtime kata-runtime --network none busybox <command>
    此处获取container-id
    ```

    >![](public_sys-resources/icon-note.gif) **说明：**   
    >安全容器网络使用仅支持CNI网络，不支持CNM网络，不支持使用-p和--expose暴露容器端口，使用安全容器时需指定参数--net=none。  

4.  启动一个Pod
    -   启动pause容器。

        ```
        docker run -tid --runtime kata-runtime --network none --annotation io.kubernetes.docker.type=podsandbox <pause-image> <command>
        ```

        此处获取pod的sandbox-id。

    -   创建业务容器并加入到这个pod中。

        ```
        docker run -tid --runtime kata-runtime --network none --annotation io.kubernetes.docker.type=container --annotation io.kubernetes.sandbox.id=<sandbox-id> busybox <command>
        ```

        这里利用--annotation来作为容器类型的标注，当前iSula提供配套的docker-engine带有该字段，开源docker引擎并不提供。



