# 约束限制<a name="ZH-CN_TOPIC_0184808047"></a>

-   高并发场景（并发启动200容器）下，glibc的内存管理机制会导致内存空洞以及虚拟内存较大（例如10GB）的问题。该问题是高并发场景下glibc内存管理机制的限制，而不是内存泄露，不会导致内存消耗无限增大。可以通过设置MALLOC\_ARENA\_MAX环境变量来减少虚拟内存的问题，而且可以增大减少物理内存的概率。但是这个环境变量会导致iSulad的并发性能下降，需要用户根据实际情况做配置。

    ```
    参考实践情况，平衡性能和内存，可以设置MALLOC_ARENA_MAX为4。（在arm64服务器上面对iSulad的性能影响在10%以内）
    
    配置方法：
    1. 手动启动iSulad的场景，可以直接export MALLOC_ARENA_MAX=4，然后再启动iSulad即可。
    2. systemd管理iSulad的场景，可以修改/etc/sysconfig/iSulad，增加一条MALLOC_ARENA_MAX=4即可。
    ```

-   为daemon指定各种运行目录时的注意事项

    以--root为例，当使用/new/path/作为daemon新的Root Dir时，如果/new/path/下已经存在文件，且目录或文件名与lcrd需要使用的目录或文件名冲突（例如：engines、mnt等目录）时，lcrd可能会更新原有目录或文件的属性，包括属主、权限等为自己的属主和权限。

    所以，用户需要明白重新指定各种运行目录和文件，会对冲突目录、文件属性的影响。建议用户指定的新目录或文件为lcrd专用，避免冲突导致的文件属性变化以及带来的安全问题。

-   日志文件管理：

    >![](public_sys-resources/icon-notice.gif) **须知：**   
    >日志功能对接： iSulad由systemd管理，日志也由systemd管理，然后传输给rsyslogd。rsyslog默认会对写日志速度有限制，可以通过修改/etc/rsyslog.conf文件，增加"$imjournalRatelimitInterval 0"配置项，然后重启rsyslogd的服务即可。  

-   命令行参数解析限制

    使用iSulad命令行接口时，其参数解析方式与docker略有不同，对于命令行中带参数的flag，不管使用长flag还是短flag，只会将该flag后第一个空格或与flag直接相连接的'='后的字符串作为flag的参数，具体如下：

    1.  使用短flag时，与“-”连接的字符串中的每个字符都被当作短flag（当有=号时，=号后的字符串当成=号前的短flag的参数）。

        lcrc run -du=root busybox 等价于 lcrc run -du root busybox 或 lcrc run -d -u=root busybox 或 lcrc run -d -u root busybox ，当使用lcrc run -du:root时，由于-:不是有效的短flag，因此会报错。前述的命令行也等价于lcrc run -ud root busybox，但不推荐这种使用方式，可能带来语义困扰。

    1.  使用长flag时，与“--”连接的字符串作为一个整体当成长flag，若包含=号，则=号前的字符串为长flag，=号后的为参数。

        ```
        lcrc run --user=root busybox
        ```

        等价于

        ```
        lcrc run --user root busybox
        ```


-   启动一个lcrd容器，不能够以非root用户进行lcrc run -i/-t/-ti以及lcrc attach/exec操作。

