# 部署方式<a name="ZH-CN_TOPIC_0184808043"></a>

轻量级容器引擎（iSulad）服务端daemon为lcrd，lcrd可以通过配置文件进行配置，也可以通过命令行的方式进行配置，例如：lcrd --xxx，优先级从高到低是：命令行方式\>配置文件\>代码中默认配置。

>![](public_sys-resources/icon-note.gif) **说明：**   
>如果采用systemd管理iSulad进程，修改/etc/sysconfig/iSulad文件中的OPTIONS字段，等同于命令行方式进行配置。  

-   **命令行方式**

    在启动服务的时候，直接通过命令行进行配置。其配置选项可通过以下命令查阅：

    ```
    $ lcrd --help
    lightweight container runtime daemon
    
    Usage:  lcrd [global options]
    
    GLOBAL OPTIONS:
    
          --authorization-plugin            Use authorization plugin
          --cgroup-parent                   Set parent cgroup for all containers
          --cni-bin-dir                     The full path of the directory in which to search for CNI plugin binaries. Default: /opt/cni/bin
          --cni-conf-dir                    The full path of the directory in which to search for CNI config files. Default: /etc/cni/net.d
          --default-ulimit                  Default ulimits for containers (default [])
      -e, --engine                          Select backend engine
      -g, --graph                           Root directory of the LCRD runtime
      -G, --group                           Group for the unix socket(default is lcrd)
          --help                            Show help
          --hook-spec                       Default hook spec file applied to all containers
      -H, --host                            The socket name used to create gRPC server
          --image-layer-check               Check layer intergrity when needed
          --image-opt-timeout               Max timeout(default 5m) for image operation
          --insecure-registry               Disable TLS verification for the given registry
          --insecure-skip-verify-enforce    Force to skip the insecure verify(default false)
          --log-driver                      Set daemon log driver, such as: file
      -l, --log-level                       Set log level, the levels can be: FATAL ALERT CRIT ERROR WARN NOTICE INFO DEBUG TRACE
          --log-opt                         Set daemon log driver options, such as: log-path=/tmp/logs/ to set directory where to store daemon logs
          --native.umask                    Default file mode creation mask (umask) for containers
          --network-plugin                  Set network plugin, default is null, suppport null and cni
      -p, --pidfile                         Save pid into this file
          --pod-sandbox-image               The image whose network/ipc namespaces containers in each pod will use. (default "rnd-dockerhub.huawei.com/library/pause-${machine}:3.0")
          --registry-mirrors                Registry to be prepended when pulling unqualified images, can be specified multiple times
          --start-timeout                   timeout duration for waiting on a container to start before it is killed
      -S, --state                           Root directory for execution state files
          --storage-driver                  Storage driver to use(default overlay2)
      -s, --storage-opt                     Storage driver options
          --tls                             Use TLS; implied by --tlsverify
          --tlscacert                       Trust certs signed only by this CA (default "/root/.iSulad/ca.pem")
          --tlscert                         Path to TLS certificate file (default "/root/.iSulad/cert.pem")
          --tlskey                          Path to TLS key file (default "/root/.iSulad/key.pem")
          --tlsverify                       Use TLS and verify the remote
          --use-decrypted-key               Use decrypted private key by default(default true)
      -V, --version                         Print the version
    ```

    示例： 启动lcrd，并将日志级别调整成DEBUG

    ```
    $ lcrd -l DEBUG
    ```


-   **配置文件方式**

    lcrd配置文件为/etc/isulad/daemon.json，各配置字段说明如下：

    <a name="zh-cn_topic_0183088382_table718981551311"></a>
    <table><thead align="left"><tr id="zh-cn_topic_0183088382_row21901715141319"><th class="cellrowborder" valign="top" width="14.762376237623764%" id="mcps1.1.5.1.1"><p id="zh-cn_topic_0183088382_p719016155131"><a name="zh-cn_topic_0183088382_p719016155131"></a><a name="zh-cn_topic_0183088382_p719016155131"></a><strong id="zh-cn_topic_0183088382_b4830141116393"><a name="zh-cn_topic_0183088382_b4830141116393"></a><a name="zh-cn_topic_0183088382_b4830141116393"></a>配置参数</strong></p>
    </th>
    <th class="cellrowborder" valign="top" width="32.76237623762376%" id="mcps1.1.5.1.2"><p id="zh-cn_topic_0183088382_p654714315202"><a name="zh-cn_topic_0183088382_p654714315202"></a><a name="zh-cn_topic_0183088382_p654714315202"></a><strong id="zh-cn_topic_0183088382_b686721163912"><a name="zh-cn_topic_0183088382_b686721163912"></a><a name="zh-cn_topic_0183088382_b686721163912"></a>配置文件示例</strong></p>
    </th>
    <th class="cellrowborder" valign="top" width="21.237623762376238%" id="mcps1.1.5.1.3"><p id="zh-cn_topic_0183088382_p18190101541311"><a name="zh-cn_topic_0183088382_p18190101541311"></a><a name="zh-cn_topic_0183088382_p18190101541311"></a><strong id="zh-cn_topic_0183088382_b48690118397"><a name="zh-cn_topic_0183088382_b48690118397"></a><a name="zh-cn_topic_0183088382_b48690118397"></a>参数解释</strong></p>
    </th>
    <th class="cellrowborder" valign="top" width="31.237623762376238%" id="mcps1.1.5.1.4"><p id="zh-cn_topic_0183088382_p719017157130"><a name="zh-cn_topic_0183088382_p719017157130"></a><a name="zh-cn_topic_0183088382_p719017157130"></a><strong id="zh-cn_topic_0183088382_b16871111117397"><a name="zh-cn_topic_0183088382_b16871111117397"></a><a name="zh-cn_topic_0183088382_b16871111117397"></a>备注</strong></p>
    </th>
    </tr>
    </thead>
    <tbody><tr id="zh-cn_topic_0183088382_row14190121551314"><td class="cellrowborder" valign="top" width="14.762376237623764%" headers="mcps1.1.5.1.1 "><p id="zh-cn_topic_0183088382_p1190151517132"><a name="zh-cn_topic_0183088382_p1190151517132"></a><a name="zh-cn_topic_0183088382_p1190151517132"></a>-e, --engine</p>
    </td>
    <td class="cellrowborder" valign="top" width="32.76237623762376%" headers="mcps1.1.5.1.2 "><p id="zh-cn_topic_0183088382_p1547531122010"><a name="zh-cn_topic_0183088382_p1547531122010"></a><a name="zh-cn_topic_0183088382_p1547531122010"></a>"engine": "lcr"</p>
    </td>
    <td class="cellrowborder" valign="top" width="21.237623762376238%" headers="mcps1.1.5.1.3 "><p id="zh-cn_topic_0183088382_p151373196179"><a name="zh-cn_topic_0183088382_p151373196179"></a><a name="zh-cn_topic_0183088382_p151373196179"></a>LCRD的运行时，默认是lcr</p>
    </td>
    <td class="cellrowborder" valign="top" width="31.237623762376238%" headers="mcps1.1.5.1.4 "><p id="zh-cn_topic_0183088382_p219021551311"><a name="zh-cn_topic_0183088382_p219021551311"></a><a name="zh-cn_topic_0183088382_p219021551311"></a>无</p>
    </td>
    </tr>
    <tr id="zh-cn_topic_0183088382_row8190315101312"><td class="cellrowborder" valign="top" width="14.762376237623764%" headers="mcps1.1.5.1.1 "><p id="zh-cn_topic_0183088382_p1119061531319"><a name="zh-cn_topic_0183088382_p1119061531319"></a><a name="zh-cn_topic_0183088382_p1119061531319"></a>-G, --group</p>
    </td>
    <td class="cellrowborder" valign="top" width="32.76237623762376%" headers="mcps1.1.5.1.2 "><p id="zh-cn_topic_0183088382_p1750303314298"><a name="zh-cn_topic_0183088382_p1750303314298"></a><a name="zh-cn_topic_0183088382_p1750303314298"></a>"group": "lcrd"</p>
    </td>
    <td class="cellrowborder" valign="top" width="21.237623762376238%" headers="mcps1.1.5.1.3 "><p id="zh-cn_topic_0183088382_p19549193316492"><a name="zh-cn_topic_0183088382_p19549193316492"></a><a name="zh-cn_topic_0183088382_p19549193316492"></a>socket所属组</p>
    </td>
    <td class="cellrowborder" valign="top" width="31.237623762376238%" headers="mcps1.1.5.1.4 "><p id="zh-cn_topic_0183088382_p161905157130"><a name="zh-cn_topic_0183088382_p161905157130"></a><a name="zh-cn_topic_0183088382_p161905157130"></a>无</p>
    </td>
    </tr>
    <tr id="zh-cn_topic_0183088382_row9190101515138"><td class="cellrowborder" valign="top" width="14.762376237623764%" headers="mcps1.1.5.1.1 "><p id="zh-cn_topic_0183088382_p2019031515132"><a name="zh-cn_topic_0183088382_p2019031515132"></a><a name="zh-cn_topic_0183088382_p2019031515132"></a>--hook-spec</p>
    </td>
    <td class="cellrowborder" valign="top" width="32.76237623762376%" headers="mcps1.1.5.1.2 "><p id="zh-cn_topic_0183088382_p145471231162011"><a name="zh-cn_topic_0183088382_p145471231162011"></a><a name="zh-cn_topic_0183088382_p145471231162011"></a>"hook-spec": "/etc/default/lcrd/hooks/default.json"</p>
    </td>
    <td class="cellrowborder" valign="top" width="21.237623762376238%" headers="mcps1.1.5.1.3 "><p id="zh-cn_topic_0183088382_p219021512133"><a name="zh-cn_topic_0183088382_p219021512133"></a><a name="zh-cn_topic_0183088382_p219021512133"></a><span>针对所有容器的默认钩子配置文件</span></p>
    </td>
    <td class="cellrowborder" valign="top" width="31.237623762376238%" headers="mcps1.1.5.1.4 "><p id="zh-cn_topic_0183088382_p7190171511310"><a name="zh-cn_topic_0183088382_p7190171511310"></a><a name="zh-cn_topic_0183088382_p7190171511310"></a>无</p>
    </td>
    </tr>
    <tr id="zh-cn_topic_0183088382_row181901815111310"><td class="cellrowborder" valign="top" width="14.762376237623764%" headers="mcps1.1.5.1.1 "><p id="zh-cn_topic_0183088382_p019121512133"><a name="zh-cn_topic_0183088382_p019121512133"></a><a name="zh-cn_topic_0183088382_p019121512133"></a>-H, --host</p>
    </td>
    <td class="cellrowborder" valign="top" width="32.76237623762376%" headers="mcps1.1.5.1.2 "><p id="zh-cn_topic_0183088382_p14547931142019"><a name="zh-cn_topic_0183088382_p14547931142019"></a><a name="zh-cn_topic_0183088382_p14547931142019"></a>"hosts": "unix:///var/run/lcrd.sock"</p>
    </td>
    <td class="cellrowborder" valign="top" width="21.237623762376238%" headers="mcps1.1.5.1.3 "><p id="zh-cn_topic_0183088382_p141911115151313"><a name="zh-cn_topic_0183088382_p141911115151313"></a><a name="zh-cn_topic_0183088382_p141911115151313"></a>通信方式</p>
    </td>
    <td class="cellrowborder" valign="top" width="31.237623762376238%" headers="mcps1.1.5.1.4 "><p id="zh-cn_topic_0183088382_p1019131516139"><a name="zh-cn_topic_0183088382_p1019131516139"></a><a name="zh-cn_topic_0183088382_p1019131516139"></a>除本地socket外，还支持tcp://ip:port方式，port范围（0-65535，排除被占用端口）</p>
    </td>
    </tr>
    <tr id="zh-cn_topic_0183088382_row839147161519"><td class="cellrowborder" valign="top" width="14.762376237623764%" headers="mcps1.1.5.1.1 "><p id="zh-cn_topic_0183088382_p1040117141516"><a name="zh-cn_topic_0183088382_p1040117141516"></a><a name="zh-cn_topic_0183088382_p1040117141516"></a>--log-driver</p>
    </td>
    <td class="cellrowborder" valign="top" width="32.76237623762376%" headers="mcps1.1.5.1.2 "><p id="zh-cn_topic_0183088382_p171391223173017"><a name="zh-cn_topic_0183088382_p171391223173017"></a><a name="zh-cn_topic_0183088382_p171391223173017"></a>"log-driver": "file"</p>
    </td>
    <td class="cellrowborder" valign="top" width="21.237623762376238%" headers="mcps1.1.5.1.3 "><p id="zh-cn_topic_0183088382_p140147171520"><a name="zh-cn_topic_0183088382_p140147171520"></a><a name="zh-cn_topic_0183088382_p140147171520"></a>日志驱动配置</p>
    </td>
    <td class="cellrowborder" valign="top" width="31.237623762376238%" headers="mcps1.1.5.1.4 "><p id="zh-cn_topic_0183088382_p74014712154"><a name="zh-cn_topic_0183088382_p74014712154"></a><a name="zh-cn_topic_0183088382_p74014712154"></a>无</p>
    </td>
    </tr>
    <tr id="zh-cn_topic_0183088382_row1443661715157"><td class="cellrowborder" valign="top" width="14.762376237623764%" headers="mcps1.1.5.1.1 "><p id="zh-cn_topic_0183088382_p124360174152"><a name="zh-cn_topic_0183088382_p124360174152"></a><a name="zh-cn_topic_0183088382_p124360174152"></a>-l, --log-level</p>
    </td>
    <td class="cellrowborder" valign="top" width="32.76237623762376%" headers="mcps1.1.5.1.2 "><p id="zh-cn_topic_0183088382_p1397173217305"><a name="zh-cn_topic_0183088382_p1397173217305"></a><a name="zh-cn_topic_0183088382_p1397173217305"></a>"log-level": "ERROR"</p>
    </td>
    <td class="cellrowborder" valign="top" width="21.237623762376238%" headers="mcps1.1.5.1.3 "><p id="zh-cn_topic_0183088382_p0436317191510"><a name="zh-cn_topic_0183088382_p0436317191510"></a><a name="zh-cn_topic_0183088382_p0436317191510"></a>设置日志输出级别</p>
    </td>
    <td class="cellrowborder" valign="top" width="31.237623762376238%" headers="mcps1.1.5.1.4 "><p id="zh-cn_topic_0183088382_p184362175158"><a name="zh-cn_topic_0183088382_p184362175158"></a><a name="zh-cn_topic_0183088382_p184362175158"></a>无</p>
    </td>
    </tr>
    <tr id="zh-cn_topic_0183088382_row9108325191520"><td class="cellrowborder" valign="top" width="14.762376237623764%" headers="mcps1.1.5.1.1 "><p id="zh-cn_topic_0183088382_p1510911259151"><a name="zh-cn_topic_0183088382_p1510911259151"></a><a name="zh-cn_topic_0183088382_p1510911259151"></a>--log-opt</p>
    </td>
    <td class="cellrowborder" valign="top" width="32.76237623762376%" headers="mcps1.1.5.1.2 "><p id="zh-cn_topic_0183088382_p11333194110306"><a name="zh-cn_topic_0183088382_p11333194110306"></a><a name="zh-cn_topic_0183088382_p11333194110306"></a>"log-opts": {</p>
    <p id="zh-cn_topic_0183088382_p113331541143016"><a name="zh-cn_topic_0183088382_p113331541143016"></a><a name="zh-cn_topic_0183088382_p113331541143016"></a>"log-file-mode": "0600",</p>
    <p id="zh-cn_topic_0183088382_p8333144119309"><a name="zh-cn_topic_0183088382_p8333144119309"></a><a name="zh-cn_topic_0183088382_p8333144119309"></a>"log-path": "/var/lib/lcrd",</p>
    <p id="zh-cn_topic_0183088382_p9333114113014"><a name="zh-cn_topic_0183088382_p9333114113014"></a><a name="zh-cn_topic_0183088382_p9333114113014"></a>"max-file": "1",</p>
    <p id="zh-cn_topic_0183088382_p173331641103017"><a name="zh-cn_topic_0183088382_p173331641103017"></a><a name="zh-cn_topic_0183088382_p173331641103017"></a>"max-size": "30KB"</p>
    <p id="zh-cn_topic_0183088382_p03339417309"><a name="zh-cn_topic_0183088382_p03339417309"></a><a name="zh-cn_topic_0183088382_p03339417309"></a>}</p>
    </td>
    <td class="cellrowborder" valign="top" width="21.237623762376238%" headers="mcps1.1.5.1.3 "><p id="zh-cn_topic_0183088382_p51093253158"><a name="zh-cn_topic_0183088382_p51093253158"></a><a name="zh-cn_topic_0183088382_p51093253158"></a>日志相关的配置</p>
    </td>
    <td class="cellrowborder" valign="top" width="31.237623762376238%" headers="mcps1.1.5.1.4 "><p id="zh-cn_topic_0183088382_p2109112513150"><a name="zh-cn_topic_0183088382_p2109112513150"></a><a name="zh-cn_topic_0183088382_p2109112513150"></a>可以指定max-file，max-size，log-path。max-file指日志文件个数；max-size指日志触发防爆的阈值，若max-file为1，max-size失效；log-path指定日志文件存储路径；log-file-mode用于设置日志文件的读写权限，格式要求必须为八进制格式，如0666。</p>
    </td>
    </tr>
    <tr id="zh-cn_topic_0183088382_row3184173213188"><td class="cellrowborder" valign="top" width="14.762376237623764%" headers="mcps1.1.5.1.1 "><p id="zh-cn_topic_0183088382_p428010440155"><a name="zh-cn_topic_0183088382_p428010440155"></a><a name="zh-cn_topic_0183088382_p428010440155"></a>--start-timeout</p>
    </td>
    <td class="cellrowborder" valign="top" width="32.76237623762376%" headers="mcps1.1.5.1.2 "><p id="zh-cn_topic_0183088382_p45471331102019"><a name="zh-cn_topic_0183088382_p45471331102019"></a><a name="zh-cn_topic_0183088382_p45471331102019"></a>"start-timeout": "2m"</p>
    </td>
    <td class="cellrowborder" valign="top" width="21.237623762376238%" headers="mcps1.1.5.1.3 "><p id="zh-cn_topic_0183088382_p42804442151"><a name="zh-cn_topic_0183088382_p42804442151"></a><a name="zh-cn_topic_0183088382_p42804442151"></a>启动容器的耗时</p>
    </td>
    <td class="cellrowborder" valign="top" width="31.237623762376238%" headers="mcps1.1.5.1.4 "><p id="zh-cn_topic_0183088382_p518414326185"><a name="zh-cn_topic_0183088382_p518414326185"></a><a name="zh-cn_topic_0183088382_p518414326185"></a>无</p>
    </td>
    </tr>
    <tr id="zh-cn_topic_0183088382_row15136153112159"><td class="cellrowborder" valign="top" width="14.762376237623764%" headers="mcps1.1.5.1.1 "><p id="zh-cn_topic_0183088382_p10136931171510"><a name="zh-cn_topic_0183088382_p10136931171510"></a><a name="zh-cn_topic_0183088382_p10136931171510"></a>-p, --pidfile</p>
    </td>
    <td class="cellrowborder" valign="top" width="32.76237623762376%" headers="mcps1.1.5.1.2 "><p id="zh-cn_topic_0183088382_p36021623203112"><a name="zh-cn_topic_0183088382_p36021623203112"></a><a name="zh-cn_topic_0183088382_p36021623203112"></a>"pidfile": "/var/run/lcrd.pid"</p>
    </td>
    <td class="cellrowborder" valign="top" width="21.237623762376238%" headers="mcps1.1.5.1.3 "><p id="zh-cn_topic_0183088382_p18136331171519"><a name="zh-cn_topic_0183088382_p18136331171519"></a><a name="zh-cn_topic_0183088382_p18136331171519"></a>保存pid的文件</p>
    </td>
    <td class="cellrowborder" rowspan="3" valign="top" width="31.237623762376238%" headers="mcps1.1.5.1.4 "><p id="zh-cn_topic_0183088382_p1172943191815"><a name="zh-cn_topic_0183088382_p1172943191815"></a><a name="zh-cn_topic_0183088382_p1172943191815"></a>当启动一个容器引擎的时候不需要配置，当需要启动两个以上的容器引擎时才需要配置。</p>
    </td>
    </tr>
    <tr id="zh-cn_topic_0183088382_row653093817159"><td class="cellrowborder" valign="top" headers="mcps1.1.5.1.1 "><p id="zh-cn_topic_0183088382_p1184145184319"><a name="zh-cn_topic_0183088382_p1184145184319"></a><a name="zh-cn_topic_0183088382_p1184145184319"></a>-g, --graph</p>
    </td>
    <td class="cellrowborder" valign="top" headers="mcps1.1.5.1.2 "><p id="zh-cn_topic_0183088382_p18548131192011"><a name="zh-cn_topic_0183088382_p18548131192011"></a><a name="zh-cn_topic_0183088382_p18548131192011"></a>"graph": "/var/lib/lcrd"</p>
    </td>
    <td class="cellrowborder" valign="top" headers="mcps1.1.5.1.3 "><p id="zh-cn_topic_0183088382_p953012380155"><a name="zh-cn_topic_0183088382_p953012380155"></a><a name="zh-cn_topic_0183088382_p953012380155"></a>LCRD运行时的根目录</p>
    </td>
    </tr>
    <tr id="zh-cn_topic_0183088382_row136522509157"><td class="cellrowborder" valign="top" headers="mcps1.1.5.1.1 "><p id="zh-cn_topic_0183088382_p17652155011154"><a name="zh-cn_topic_0183088382_p17652155011154"></a><a name="zh-cn_topic_0183088382_p17652155011154"></a>-S, --state</p>
    </td>
    <td class="cellrowborder" valign="top" headers="mcps1.1.5.1.2 "><p id="zh-cn_topic_0183088382_p15731136172118"><a name="zh-cn_topic_0183088382_p15731136172118"></a><a name="zh-cn_topic_0183088382_p15731136172118"></a>"state": "/var/run/lcrd"</p>
    </td>
    <td class="cellrowborder" valign="top" headers="mcps1.1.5.1.3 "><p id="zh-cn_topic_0183088382_p136526505159"><a name="zh-cn_topic_0183088382_p136526505159"></a><a name="zh-cn_topic_0183088382_p136526505159"></a>执行文件的根目录</p>
    </td>
    </tr>
    <tr id="zh-cn_topic_0183088382_row310079467"><td class="cellrowborder" valign="top" width="14.762376237623764%" headers="mcps1.1.5.1.1 "><p id="zh-cn_topic_0183088382_p161167104619"><a name="zh-cn_topic_0183088382_p161167104619"></a><a name="zh-cn_topic_0183088382_p161167104619"></a>--storage-driver</p>
    </td>
    <td class="cellrowborder" valign="top" width="32.76237623762376%" headers="mcps1.1.5.1.2 "><p id="zh-cn_topic_0183088382_p10121872469"><a name="zh-cn_topic_0183088382_p10121872469"></a><a name="zh-cn_topic_0183088382_p10121872469"></a>"storage-driver": "overlay2"</p>
    </td>
    <td class="cellrowborder" valign="top" width="21.237623762376238%" headers="mcps1.1.5.1.3 "><p id="zh-cn_topic_0183088382_p13121979465"><a name="zh-cn_topic_0183088382_p13121979465"></a><a name="zh-cn_topic_0183088382_p13121979465"></a>镜像存储驱动，默认为overlay2</p>
    </td>
    <td class="cellrowborder" valign="top" width="31.237623762376238%" headers="mcps1.1.5.1.4 "><p id="zh-cn_topic_0183088382_p11124724618"><a name="zh-cn_topic_0183088382_p11124724618"></a><a name="zh-cn_topic_0183088382_p11124724618"></a>当前只支持overlay2</p>
    </td>
    </tr>
    <tr id="zh-cn_topic_0183088382_row1193131917473"><td class="cellrowborder" valign="top" width="14.762376237623764%" headers="mcps1.1.5.1.1 "><p id="zh-cn_topic_0183088382_p171931219104720"><a name="zh-cn_topic_0183088382_p171931219104720"></a><a name="zh-cn_topic_0183088382_p171931219104720"></a>-s, --storage-opt</p>
    </td>
    <td class="cellrowborder" valign="top" width="32.76237623762376%" headers="mcps1.1.5.1.2 "><p id="zh-cn_topic_0183088382_p181936195474"><a name="zh-cn_topic_0183088382_p181936195474"></a><a name="zh-cn_topic_0183088382_p181936195474"></a>"storage-opts": [ "overlay2.override_kernel_check=true" ]</p>
    </td>
    <td class="cellrowborder" valign="top" width="21.237623762376238%" headers="mcps1.1.5.1.3 "><p id="zh-cn_topic_0183088382_p141932195472"><a name="zh-cn_topic_0183088382_p141932195472"></a><a name="zh-cn_topic_0183088382_p141932195472"></a>镜像存储驱动配置选项</p>
    </td>
    <td class="cellrowborder" valign="top" width="31.237623762376238%" headers="mcps1.1.5.1.4 "><p id="zh-cn_topic_0183088382_p1219315196472"><a name="zh-cn_topic_0183088382_p1219315196472"></a><a name="zh-cn_topic_0183088382_p1219315196472"></a>可使用的选项为：</p>
    <pre class="screen" id="zh-cn_topic_0183088382_screen930516156473"><a name="zh-cn_topic_0183088382_screen930516156473"></a><a name="zh-cn_topic_0183088382_screen930516156473"></a>overlay2.override_kernel_check=true # 忽略内核版本检查
    overlay2.size=${size} # 设置rootfs quota限额为${size}大小
    overlay2.basesize=${size} #等价于overlay2.size</pre>
    </td>
    </tr>
    <tr id="zh-cn_topic_0183088382_row131175617481"><td class="cellrowborder" valign="top" width="14.762376237623764%" headers="mcps1.1.5.1.1 "><p id="zh-cn_topic_0183088382_p1011776154814"><a name="zh-cn_topic_0183088382_p1011776154814"></a><a name="zh-cn_topic_0183088382_p1011776154814"></a>--image-opt-timeout</p>
    </td>
    <td class="cellrowborder" valign="top" width="32.76237623762376%" headers="mcps1.1.5.1.2 "><p id="zh-cn_topic_0183088382_p1011715614811"><a name="zh-cn_topic_0183088382_p1011715614811"></a><a name="zh-cn_topic_0183088382_p1011715614811"></a>"image-opt-timeout": "5m"</p>
    </td>
    <td class="cellrowborder" valign="top" width="21.237623762376238%" headers="mcps1.1.5.1.3 "><p id="zh-cn_topic_0183088382_p191172614487"><a name="zh-cn_topic_0183088382_p191172614487"></a><a name="zh-cn_topic_0183088382_p191172614487"></a>镜像操作超时时间，默认为5m</p>
    </td>
    <td class="cellrowborder" valign="top" width="31.237623762376238%" headers="mcps1.1.5.1.4 "><p id="zh-cn_topic_0183088382_p1211716634811"><a name="zh-cn_topic_0183088382_p1211716634811"></a><a name="zh-cn_topic_0183088382_p1211716634811"></a>值为-1表示不限制超时。</p>
    </td>
    </tr>
    <tr id="zh-cn_topic_0183088382_row9416750154814"><td class="cellrowborder" valign="top" width="14.762376237623764%" headers="mcps1.1.5.1.1 "><p id="zh-cn_topic_0183088382_p1141645012486"><a name="zh-cn_topic_0183088382_p1141645012486"></a><a name="zh-cn_topic_0183088382_p1141645012486"></a>--registry-mirrors</p>
    </td>
    <td class="cellrowborder" valign="top" width="32.76237623762376%" headers="mcps1.1.5.1.2 "><p id="zh-cn_topic_0183088382_p154166500486"><a name="zh-cn_topic_0183088382_p154166500486"></a><a name="zh-cn_topic_0183088382_p154166500486"></a>"registry-mirrors": [ "docker.io" ]</p>
    </td>
    <td class="cellrowborder" valign="top" width="21.237623762376238%" headers="mcps1.1.5.1.3 "><p id="zh-cn_topic_0183088382_p104166505483"><a name="zh-cn_topic_0183088382_p104166505483"></a><a name="zh-cn_topic_0183088382_p104166505483"></a>镜像仓库地址</p>
    </td>
    <td class="cellrowborder" valign="top" width="31.237623762376238%" headers="mcps1.1.5.1.4 "><p id="zh-cn_topic_0183088382_p94161750184812"><a name="zh-cn_topic_0183088382_p94161750184812"></a><a name="zh-cn_topic_0183088382_p94161750184812"></a>无</p>
    </td>
    </tr>
    <tr id="zh-cn_topic_0183088382_row1361351625020"><td class="cellrowborder" valign="top" width="14.762376237623764%" headers="mcps1.1.5.1.1 "><p id="zh-cn_topic_0183088382_p106137167505"><a name="zh-cn_topic_0183088382_p106137167505"></a><a name="zh-cn_topic_0183088382_p106137167505"></a>--insecure-registry</p>
    </td>
    <td class="cellrowborder" valign="top" width="32.76237623762376%" headers="mcps1.1.5.1.2 "><p id="zh-cn_topic_0183088382_p13613131620505"><a name="zh-cn_topic_0183088382_p13613131620505"></a><a name="zh-cn_topic_0183088382_p13613131620505"></a>"insecure-registries": [  ]</p>
    </td>
    <td class="cellrowborder" valign="top" width="21.237623762376238%" headers="mcps1.1.5.1.3 "><p id="zh-cn_topic_0183088382_p1961331625018"><a name="zh-cn_topic_0183088382_p1961331625018"></a><a name="zh-cn_topic_0183088382_p1961331625018"></a>不使用TLS校验的镜像仓库</p>
    </td>
    <td class="cellrowborder" valign="top" width="31.237623762376238%" headers="mcps1.1.5.1.4 "><p id="zh-cn_topic_0183088382_p4613151635012"><a name="zh-cn_topic_0183088382_p4613151635012"></a><a name="zh-cn_topic_0183088382_p4613151635012"></a>无</p>
    </td>
    </tr>
    <tr id="zh-cn_topic_0183088382_row6478229517"><td class="cellrowborder" valign="top" width="14.762376237623764%" headers="mcps1.1.5.1.1 "><p id="zh-cn_topic_0183088382_p184872285117"><a name="zh-cn_topic_0183088382_p184872285117"></a><a name="zh-cn_topic_0183088382_p184872285117"></a>--native.umask</p>
    </td>
    <td class="cellrowborder" valign="top" width="32.76237623762376%" headers="mcps1.1.5.1.2 "><p id="zh-cn_topic_0183088382_p64810222510"><a name="zh-cn_topic_0183088382_p64810222510"></a><a name="zh-cn_topic_0183088382_p64810222510"></a>"native.umask": "secure"</p>
    </td>
    <td class="cellrowborder" valign="top" width="21.237623762376238%" headers="mcps1.1.5.1.3 "><p id="zh-cn_topic_0183088382_p204882245120"><a name="zh-cn_topic_0183088382_p204882245120"></a><a name="zh-cn_topic_0183088382_p204882245120"></a>容器umask策略，默认"secure"，normal为不安全配置</p>
    </td>
    <td class="cellrowborder" valign="top" width="31.237623762376238%" headers="mcps1.1.5.1.4 "><p id="zh-cn_topic_0183088382_p113713356399"><a name="zh-cn_topic_0183088382_p113713356399"></a><a name="zh-cn_topic_0183088382_p113713356399"></a>设置容器umask值。</p>
    <p id="zh-cn_topic_0183088382_p83703583914"><a name="zh-cn_topic_0183088382_p83703583914"></a><a name="zh-cn_topic_0183088382_p83703583914"></a>支持配置空字符（使用默认值0027）、"normal"、"secure"：</p>
    <pre class="screen" id="zh-cn_topic_0183088382_screen183793510395"><a name="zh-cn_topic_0183088382_screen183793510395"></a><a name="zh-cn_topic_0183088382_screen183793510395"></a>normal    # 启动的容器umask值为0022
    secure    # 启动的容器umask值为0027（默认值）</pre>
    </td>
    </tr>
    <tr id="zh-cn_topic_0183088382_row17980122213554"><td class="cellrowborder" valign="top" width="14.762376237623764%" headers="mcps1.1.5.1.1 "><p id="zh-cn_topic_0183088382_p8981182218557"><a name="zh-cn_topic_0183088382_p8981182218557"></a><a name="zh-cn_topic_0183088382_p8981182218557"></a>--pod-sandbox-image</p>
    </td>
    <td class="cellrowborder" valign="top" width="32.76237623762376%" headers="mcps1.1.5.1.2 "><p id="zh-cn_topic_0183088382_p139811322175518"><a name="zh-cn_topic_0183088382_p139811322175518"></a><a name="zh-cn_topic_0183088382_p139811322175518"></a>"pod-sandbox-image": "rnd-dockerhub.huawei.com/library/pause-aarch64:3.0"</p>
    </td>
    <td class="cellrowborder" valign="top" width="21.237623762376238%" headers="mcps1.1.5.1.3 "><p id="zh-cn_topic_0183088382_p49811822155510"><a name="zh-cn_topic_0183088382_p49811822155510"></a><a name="zh-cn_topic_0183088382_p49811822155510"></a>pod默认使用镜像，默认为"rnd-dockerhub.huawei.com/library/pause-${machine}:3.0"</p>
    </td>
    <td class="cellrowborder" valign="top" width="31.237623762376238%" headers="mcps1.1.5.1.4 "><p id="zh-cn_topic_0183088382_p69811822125512"><a name="zh-cn_topic_0183088382_p69811822125512"></a><a name="zh-cn_topic_0183088382_p69811822125512"></a>无</p>
    </td>
    </tr>
    <tr id="zh-cn_topic_0183088382_row188472316584"><td class="cellrowborder" valign="top" width="14.762376237623764%" headers="mcps1.1.5.1.1 "><p id="zh-cn_topic_0183088382_p1384723145811"><a name="zh-cn_topic_0183088382_p1384723145811"></a><a name="zh-cn_topic_0183088382_p1384723145811"></a>--network-plugin</p>
    </td>
    <td class="cellrowborder" valign="top" width="32.76237623762376%" headers="mcps1.1.5.1.2 "><p id="zh-cn_topic_0183088382_p884720325814"><a name="zh-cn_topic_0183088382_p884720325814"></a><a name="zh-cn_topic_0183088382_p884720325814"></a>"network-plugin": ""</p>
    </td>
    <td class="cellrowborder" valign="top" width="21.237623762376238%" headers="mcps1.1.5.1.3 "><p id="zh-cn_topic_0183088382_p1984753135819"><a name="zh-cn_topic_0183088382_p1984753135819"></a><a name="zh-cn_topic_0183088382_p1984753135819"></a>指定网络插件，默认为空字符，表示无网络配置，创建的sandbox只有loop网卡。</p>
    </td>
    <td class="cellrowborder" valign="top" width="31.237623762376238%" headers="mcps1.1.5.1.4 "><p id="zh-cn_topic_0183088382_p5328256144412"><a name="zh-cn_topic_0183088382_p5328256144412"></a><a name="zh-cn_topic_0183088382_p5328256144412"></a>支持cni和空字符，其他非法值会导致lcrd启动失败。</p>
    </td>
    </tr>
    <tr id="zh-cn_topic_0183088382_row87801123589"><td class="cellrowborder" valign="top" width="14.762376237623764%" headers="mcps1.1.5.1.1 "><p id="zh-cn_topic_0183088382_p16780161275813"><a name="zh-cn_topic_0183088382_p16780161275813"></a><a name="zh-cn_topic_0183088382_p16780161275813"></a>--cni-bin-dir</p>
    </td>
    <td class="cellrowborder" valign="top" width="32.76237623762376%" headers="mcps1.1.5.1.2 "><p id="zh-cn_topic_0183088382_p1490515812185"><a name="zh-cn_topic_0183088382_p1490515812185"></a><a name="zh-cn_topic_0183088382_p1490515812185"></a>"cni-bin-dir": ""</p>
    </td>
    <td class="cellrowborder" valign="top" width="21.237623762376238%" headers="mcps1.1.5.1.3 "><p id="zh-cn_topic_0183088382_p197801012185815"><a name="zh-cn_topic_0183088382_p197801012185815"></a><a name="zh-cn_topic_0183088382_p197801012185815"></a>指定cni插件依赖的二进制的存储位置</p>
    </td>
    <td class="cellrowborder" valign="top" width="31.237623762376238%" headers="mcps1.1.5.1.4 "><p id="zh-cn_topic_0183088382_p67801412195816"><a name="zh-cn_topic_0183088382_p67801412195816"></a><a name="zh-cn_topic_0183088382_p67801412195816"></a>默认为/opt/cni/bin</p>
    </td>
    </tr>
    <tr id="zh-cn_topic_0183088382_row1962441481812"><td class="cellrowborder" valign="top" width="14.762376237623764%" headers="mcps1.1.5.1.1 "><p id="zh-cn_topic_0183088382_p2063931461819"><a name="zh-cn_topic_0183088382_p2063931461819"></a><a name="zh-cn_topic_0183088382_p2063931461819"></a>--cni-conf-dir</p>
    </td>
    <td class="cellrowborder" valign="top" width="32.76237623762376%" headers="mcps1.1.5.1.2 "><p id="zh-cn_topic_0183088382_p763921410185"><a name="zh-cn_topic_0183088382_p763921410185"></a><a name="zh-cn_topic_0183088382_p763921410185"></a>"cni-conf-dir": ""</p>
    </td>
    <td class="cellrowborder" valign="top" width="21.237623762376238%" headers="mcps1.1.5.1.3 "><p id="zh-cn_topic_0183088382_p563911146186"><a name="zh-cn_topic_0183088382_p563911146186"></a><a name="zh-cn_topic_0183088382_p563911146186"></a>指定cni网络配置文件的存储位置</p>
    </td>
    <td class="cellrowborder" valign="top" width="31.237623762376238%" headers="mcps1.1.5.1.4 "><p id="zh-cn_topic_0183088382_p186391514131813"><a name="zh-cn_topic_0183088382_p186391514131813"></a><a name="zh-cn_topic_0183088382_p186391514131813"></a>默认为/etc/cni/net.d</p>
    </td>
    </tr>
    <tr id="zh-cn_topic_0183088382_row1512513434484"><td class="cellrowborder" valign="top" width="14.762376237623764%" headers="mcps1.1.5.1.1 "><p id="zh-cn_topic_0183088382_p13381035153916"><a name="zh-cn_topic_0183088382_p13381035153916"></a><a name="zh-cn_topic_0183088382_p13381035153916"></a>--image-layer-check=false</p>
    </td>
    <td class="cellrowborder" valign="top" width="32.76237623762376%" headers="mcps1.1.5.1.2 "><p id="zh-cn_topic_0183088382_p3137217114920"><a name="zh-cn_topic_0183088382_p3137217114920"></a><a name="zh-cn_topic_0183088382_p3137217114920"></a>"image-layer-check": false</p>
    </td>
    <td class="cellrowborder" valign="top" width="21.237623762376238%" headers="mcps1.1.5.1.3 "><p id="zh-cn_topic_0183088382_p5381735103917"><a name="zh-cn_topic_0183088382_p5381735103917"></a><a name="zh-cn_topic_0183088382_p5381735103917"></a>开启镜像层完整性检查功能，设置为true；关闭该功能，设置为false。默认为关闭。</p>
    </td>
    <td class="cellrowborder" valign="top" width="31.237623762376238%" headers="mcps1.1.5.1.4 "><p id="zh-cn_topic_0183088382_p73816359392"><a name="zh-cn_topic_0183088382_p73816359392"></a><a name="zh-cn_topic_0183088382_p73816359392"></a>lcrd启动时会检查镜像层的完整性，如果镜像层被破坏，则相关的镜像不可用。lcrd进行镜像完整性校验时，无法校验内容为空的文件和目录，以及链接文件。因此若镜像因掉电导致上述类型文件丢失，lcrd的镜像数据完整性校验可能无法识别。lcrd版本变更时需要检查是否支持该参数，如果不支持，需要从配置文件中删除。</p>
    </td>
    </tr>
    <tr id="zh-cn_topic_0183088382_row1957122819014"><td class="cellrowborder" valign="top" width="14.762376237623764%" headers="mcps1.1.5.1.1 "><p id="zh-cn_topic_0183088382_p4571928901"><a name="zh-cn_topic_0183088382_p4571928901"></a><a name="zh-cn_topic_0183088382_p4571928901"></a>--insecure-skip-verify-enforce=false</p>
    </td>
    <td class="cellrowborder" valign="top" width="32.76237623762376%" headers="mcps1.1.5.1.2 "><p id="zh-cn_topic_0183088382_p1457182820014"><a name="zh-cn_topic_0183088382_p1457182820014"></a><a name="zh-cn_topic_0183088382_p1457182820014"></a>"insecure-skip-verify-enforce": false</p>
    </td>
    <td class="cellrowborder" valign="top" width="21.237623762376238%" headers="mcps1.1.5.1.3 "><p id="zh-cn_topic_0183088382_p205711285016"><a name="zh-cn_topic_0183088382_p205711285016"></a><a name="zh-cn_topic_0183088382_p205711285016"></a>Bool类型，是否强制跳过证书的主机名/域名验证，默认为false。当设置为true时，为不安全配置，会跳过证书的主机名/域名验证</p>
    </td>
    <td class="cellrowborder" valign="top" width="31.237623762376238%" headers="mcps1.1.5.1.4 "><p id="zh-cn_topic_0183088382_p1057162817018"><a name="zh-cn_topic_0183088382_p1057162817018"></a><a name="zh-cn_topic_0183088382_p1057162817018"></a>默认为false（不跳过），注意：因lcrd使用的yajl json 解析库限制，若在/etc/isulad/daemon.json配置文件中配置非Bool类型的其他符合json格式的值时，lcrd将使用默认值false。</p>
    </td>
    </tr>
    <tr id="zh-cn_topic_0183088382_row77997227015"><td class="cellrowborder" valign="top" width="14.762376237623764%" headers="mcps1.1.5.1.1 "><p id="zh-cn_topic_0183088382_p128007225017"><a name="zh-cn_topic_0183088382_p128007225017"></a><a name="zh-cn_topic_0183088382_p128007225017"></a>--use-decrypted-key=true</p>
    </td>
    <td class="cellrowborder" valign="top" width="32.76237623762376%" headers="mcps1.1.5.1.2 "><p id="zh-cn_topic_0183088382_p1580019221609"><a name="zh-cn_topic_0183088382_p1580019221609"></a><a name="zh-cn_topic_0183088382_p1580019221609"></a>"use-decrypted-key": true</p>
    </td>
    <td class="cellrowborder" valign="top" width="21.237623762376238%" headers="mcps1.1.5.1.3 "><p id="zh-cn_topic_0183088382_p4653451114"><a name="zh-cn_topic_0183088382_p4653451114"></a><a name="zh-cn_topic_0183088382_p4653451114"></a>Bool类型，指定是否使用不加密的私钥。指定为true，表示使用不加密的私钥；指定为false，表示使用的为加密后的私钥，即需要进行双向认证。</p>
    </td>
    <td class="cellrowborder" valign="top" width="31.237623762376238%" headers="mcps1.1.5.1.4 "><p id="zh-cn_topic_0183088382_p1980010221300"><a name="zh-cn_topic_0183088382_p1980010221300"></a><a name="zh-cn_topic_0183088382_p1980010221300"></a>默认配置为true(使用不加密的私钥)，注意：因lcrd使用的yajl json 解析库限制，若在/etc/isulad/daemon.json配置文件中配置非Bool类型的其他符合json格式的值时，lcrd将使用默认值true。</p>
    </td>
    </tr>
    <tr id="zh-cn_topic_0183088382_row193701038184719"><td class="cellrowborder" valign="top" width="14.762376237623764%" headers="mcps1.1.5.1.1 "><p id="zh-cn_topic_0183088382_p837073816475"><a name="zh-cn_topic_0183088382_p837073816475"></a><a name="zh-cn_topic_0183088382_p837073816475"></a>--tls</p>
    </td>
    <td class="cellrowborder" valign="top" width="32.76237623762376%" headers="mcps1.1.5.1.2 "><p id="zh-cn_topic_0183088382_p1637063817472"><a name="zh-cn_topic_0183088382_p1637063817472"></a><a name="zh-cn_topic_0183088382_p1637063817472"></a>"tls":false</p>
    </td>
    <td class="cellrowborder" valign="top" width="21.237623762376238%" headers="mcps1.1.5.1.3 "><p id="zh-cn_topic_0183088382_p183701238164717"><a name="zh-cn_topic_0183088382_p183701238164717"></a><a name="zh-cn_topic_0183088382_p183701238164717"></a>Bool类型，是否使用TLS</p>
    </td>
    <td class="cellrowborder" valign="top" width="31.237623762376238%" headers="mcps1.1.5.1.4 "><p id="zh-cn_topic_0183088382_p837003854714"><a name="zh-cn_topic_0183088382_p837003854714"></a><a name="zh-cn_topic_0183088382_p837003854714"></a>默认值为false， 仅用于-H tcp://IP:PORT方式</p>
    </td>
    </tr>
    <tr id="zh-cn_topic_0183088382_row1063064617518"><td class="cellrowborder" valign="top" width="14.762376237623764%" headers="mcps1.1.5.1.1 "><p id="zh-cn_topic_0183088382_p146308462513"><a name="zh-cn_topic_0183088382_p146308462513"></a><a name="zh-cn_topic_0183088382_p146308462513"></a>--tlsverify</p>
    </td>
    <td class="cellrowborder" valign="top" width="32.76237623762376%" headers="mcps1.1.5.1.2 "><p id="zh-cn_topic_0183088382_p391520813524"><a name="zh-cn_topic_0183088382_p391520813524"></a><a name="zh-cn_topic_0183088382_p391520813524"></a>"tlsverify":false</p>
    </td>
    <td class="cellrowborder" valign="top" width="21.237623762376238%" headers="mcps1.1.5.1.3 "><p id="zh-cn_topic_0183088382_p16630184612511"><a name="zh-cn_topic_0183088382_p16630184612511"></a><a name="zh-cn_topic_0183088382_p16630184612511"></a>Bool类型，是否使用TLS，并验证远程访问</p>
    </td>
    <td class="cellrowborder" valign="top" width="31.237623762376238%" headers="mcps1.1.5.1.4 "><p id="zh-cn_topic_0183088382_p26306465516"><a name="zh-cn_topic_0183088382_p26306465516"></a><a name="zh-cn_topic_0183088382_p26306465516"></a>仅用于-H tcp://IP:PORT方式</p>
    </td>
    </tr>
    <tr id="zh-cn_topic_0183088382_row17932756195417"><td class="cellrowborder" valign="top" width="14.762376237623764%" headers="mcps1.1.5.1.1 "><p id="zh-cn_topic_0183088382_p1393365665419"><a name="zh-cn_topic_0183088382_p1393365665419"></a><a name="zh-cn_topic_0183088382_p1393365665419"></a>--tlscacert</p>
    <p id="zh-cn_topic_0183088382_p13305174665514"><a name="zh-cn_topic_0183088382_p13305174665514"></a><a name="zh-cn_topic_0183088382_p13305174665514"></a>--tlscert</p>
    <p id="zh-cn_topic_0183088382_p1737975865511"><a name="zh-cn_topic_0183088382_p1737975865511"></a><a name="zh-cn_topic_0183088382_p1737975865511"></a>--tlskey</p>
    </td>
    <td class="cellrowborder" valign="top" width="32.76237623762376%" headers="mcps1.1.5.1.2 "><p id="zh-cn_topic_0183088382_p1691231517559"><a name="zh-cn_topic_0183088382_p1691231517559"></a><a name="zh-cn_topic_0183088382_p1691231517559"></a>"tls-config": {</p>
    <p id="zh-cn_topic_0183088382_p491291545520"><a name="zh-cn_topic_0183088382_p491291545520"></a><a name="zh-cn_topic_0183088382_p491291545520"></a>"CAFile": "/root/.iSulad/ca.pem",</p>
    <p id="zh-cn_topic_0183088382_p15912151513551"><a name="zh-cn_topic_0183088382_p15912151513551"></a><a name="zh-cn_topic_0183088382_p15912151513551"></a>"CertFile": "/root/.iSulad/server-cert.pem",</p>
    <p id="zh-cn_topic_0183088382_p17912181545514"><a name="zh-cn_topic_0183088382_p17912181545514"></a><a name="zh-cn_topic_0183088382_p17912181545514"></a>"KeyFile":"/root/.iSulad/server-key.pem"</p>
    <p id="zh-cn_topic_0183088382_p1291201575515"><a name="zh-cn_topic_0183088382_p1291201575515"></a><a name="zh-cn_topic_0183088382_p1291201575515"></a>}</p>
    </td>
    <td class="cellrowborder" valign="top" width="21.237623762376238%" headers="mcps1.1.5.1.3 "><p id="zh-cn_topic_0183088382_p1393395614545"><a name="zh-cn_topic_0183088382_p1393395614545"></a><a name="zh-cn_topic_0183088382_p1393395614545"></a>TLS证书相关的配置</p>
    </td>
    <td class="cellrowborder" valign="top" width="31.237623762376238%" headers="mcps1.1.5.1.4 "><p id="zh-cn_topic_0183088382_p4210113494915"><a name="zh-cn_topic_0183088382_p4210113494915"></a><a name="zh-cn_topic_0183088382_p4210113494915"></a>仅用于-H tcp://IP:PORT方式</p>
    </td>
    </tr>
    <tr id="zh-cn_topic_0183088382_row12466569132"><td class="cellrowborder" valign="top" width="14.762376237623764%" headers="mcps1.1.5.1.1 "><p id="zh-cn_topic_0183088382_p1069616014147"><a name="zh-cn_topic_0183088382_p1069616014147"></a><a name="zh-cn_topic_0183088382_p1069616014147"></a>--authorization-plugin</p>
    </td>
    <td class="cellrowborder" valign="top" width="32.76237623762376%" headers="mcps1.1.5.1.2 "><p id="zh-cn_topic_0183088382_p16961706144"><a name="zh-cn_topic_0183088382_p16961706144"></a><a name="zh-cn_topic_0183088382_p16961706144"></a>"authorization-plugin": "authz-broker"</p>
    </td>
    <td class="cellrowborder" valign="top" width="21.237623762376238%" headers="mcps1.1.5.1.3 "><p id="zh-cn_topic_0183088382_p206965010147"><a name="zh-cn_topic_0183088382_p206965010147"></a><a name="zh-cn_topic_0183088382_p206965010147"></a>用户权限认证插件</p>
    </td>
    <td class="cellrowborder" valign="top" width="31.237623762376238%" headers="mcps1.1.5.1.4 "><p id="zh-cn_topic_0183088382_p1669613013140"><a name="zh-cn_topic_0183088382_p1669613013140"></a><a name="zh-cn_topic_0183088382_p1669613013140"></a>当前只支持authz-broker</p>
    </td>
    </tr>
    <tr id="zh-cn_topic_0183088382_row20710191517116"><td class="cellrowborder" valign="top" width="14.762376237623764%" headers="mcps1.1.5.1.1 "><p id="zh-cn_topic_0183088382_p12710141561118"><a name="zh-cn_topic_0183088382_p12710141561118"></a><a name="zh-cn_topic_0183088382_p12710141561118"></a>--cgroup-parent</p>
    </td>
    <td class="cellrowborder" valign="top" width="32.76237623762376%" headers="mcps1.1.5.1.2 "><p id="zh-cn_topic_0183088382_p20710151511114"><a name="zh-cn_topic_0183088382_p20710151511114"></a><a name="zh-cn_topic_0183088382_p20710151511114"></a>"cgroup-parent": "lxc/mycgroup"</p>
    </td>
    <td class="cellrowborder" valign="top" width="21.237623762376238%" headers="mcps1.1.5.1.3 "><p id="zh-cn_topic_0183088382_p10710161531119"><a name="zh-cn_topic_0183088382_p10710161531119"></a><a name="zh-cn_topic_0183088382_p10710161531119"></a>字符串类型，容器默认cgroup父路径</p>
    </td>
    <td class="cellrowborder" valign="top" width="31.237623762376238%" headers="mcps1.1.5.1.4 "><p id="zh-cn_topic_0183088382_p20710515171118"><a name="zh-cn_topic_0183088382_p20710515171118"></a><a name="zh-cn_topic_0183088382_p20710515171118"></a>指定daemon端容器默认的cgroup父路径，如果客户端指定了--cgroup-parent，以客户端参数为准。</p>
    <p id="zh-cn_topic_0183088382_p57568500219"><a name="zh-cn_topic_0183088382_p57568500219"></a><a name="zh-cn_topic_0183088382_p57568500219"></a>注意：如果启了一个容器A，然后启一个容器B，容器B的cgroup父路径指定为容器A的cgroup路径，在删除容器的时候需要先删除容器B再删除容器A，否则会导致cgroup资源残留。</p>
    </td>
    </tr>
    <tr id="zh-cn_topic_0183088382_row68415012467"><td class="cellrowborder" valign="top" width="14.762376237623764%" headers="mcps1.1.5.1.1 "><p id="zh-cn_topic_0183088382_p880175013463"><a name="zh-cn_topic_0183088382_p880175013463"></a><a name="zh-cn_topic_0183088382_p880175013463"></a>--default-ulimits</p>
    </td>
    <td class="cellrowborder" valign="top" width="32.76237623762376%" headers="mcps1.1.5.1.2 "><p id="zh-cn_topic_0183088382_p39365517472"><a name="zh-cn_topic_0183088382_p39365517472"></a><a name="zh-cn_topic_0183088382_p39365517472"></a>"default-ulimits": {</p>
    <p id="zh-cn_topic_0183088382_p5932551477"><a name="zh-cn_topic_0183088382_p5932551477"></a><a name="zh-cn_topic_0183088382_p5932551477"></a>"nofile": {</p>
    <p id="zh-cn_topic_0183088382_p593175517477"><a name="zh-cn_topic_0183088382_p593175517477"></a><a name="zh-cn_topic_0183088382_p593175517477"></a>"Name": "nofile",</p>
    <p id="zh-cn_topic_0183088382_p149315534710"><a name="zh-cn_topic_0183088382_p149315534710"></a><a name="zh-cn_topic_0183088382_p149315534710"></a>"Hard": 6400,</p>
    <p id="zh-cn_topic_0183088382_p1793135518471"><a name="zh-cn_topic_0183088382_p1793135518471"></a><a name="zh-cn_topic_0183088382_p1793135518471"></a>"Soft": 3200</p>
    <p id="zh-cn_topic_0183088382_p293165574716"><a name="zh-cn_topic_0183088382_p293165574716"></a><a name="zh-cn_topic_0183088382_p293165574716"></a>}</p>
    <p id="zh-cn_topic_0183088382_p149312555473"><a name="zh-cn_topic_0183088382_p149312555473"></a><a name="zh-cn_topic_0183088382_p149312555473"></a>}</p>
    </td>
    <td class="cellrowborder" valign="top" width="21.237623762376238%" headers="mcps1.1.5.1.3 "><p id="zh-cn_topic_0183088382_p8809504469"><a name="zh-cn_topic_0183088382_p8809504469"></a><a name="zh-cn_topic_0183088382_p8809504469"></a>ulimit指定限制的类型，soft值及hard值</p>
    </td>
    <td class="cellrowborder" valign="top" width="31.237623762376238%" headers="mcps1.1.5.1.4 "><p id="zh-cn_topic_0183088382_p116711224125017"><a name="zh-cn_topic_0183088382_p116711224125017"></a><a name="zh-cn_topic_0183088382_p116711224125017"></a><span>指定限制的资源类型，如“nofile”。两个字段名字必须相同，即都为nofile，否则会报错</span>。Hard指定的值需要大于等于Soft'。如果Hard字段或者Soft字段未设置，则默认该字段默认为0。</p>
    </td>
    </tr>
    </tbody>
    </table>

    示例：

    ```
    $ cat /etc/isulad/daemon.json
    {
        "group": "lcrd",
        "graph": "/var/lib/lcrd",
        "state": "/var/run/lcrd",
        "engine": "lcr",
        "log-level": "ERROR",
        "pidfile": "/var/run/lcrd.pid",
        "log-opts": {
            "log-file-mode": "0600",
            "log-path": "/var/lib/lcrd",
            "max-file": "1",
            "max-size": "30KB"
        },
        "log-driver": "stdout",
        "hook-spec": "/etc/default/lcrd/hooks/default.json",
        "start-timeout": "2m",
        "storage-driver": "overlay2",
        "storage-opts": [
            "overlay2.override_kernel_check=true"
        ],
        "registry-mirrors": [
            "docker.io"
        ],
        "insecure-registries": [
            "rnd-dockerhub.huawei.com"
        ],
        "pod-sandbox-image": "",
        "image-opt-timeout": "5m",
        "native.umask": "secure",
        "network-plugin": "",
        "cni-bin-dir": "",
        "cni-conf-dir": "",
        "image-layer-check": false,
        "use-decrypted-key": true,
        "insecure-skip-verify-enforce": false
    }
    ```

    >![](public_sys-resources/icon-notice.gif) **须知：**   
    >默认配置文件/etc/isulad/daemon.json仅供参考，请根据实际需要进行配置  


