# 系统中存在无法激活的逻辑卷组时，重装系统失败<a name="ZH-CN_TOPIC_0214071184"></a>

## 问题现象<a name="zh-cn_topic_0151920834_sa51c76c49f1640a08b23bca0fe61f3cf"></a>

由于磁盘故障，系统中存在无法激活的逻辑卷组，重装系统出现异常。

## 原因分析<a name="zh-cn_topic_0151920834_sa9ab8d9b4ab246c49f891c22d35b96ae"></a>

安装时有激活逻辑卷组的操作，无法激活时会抛出异常。

## 解决方法<a name="zh-cn_topic_0151920834_sdee4cf8cbe814f29be6c6b90db626f2b"></a>

重装系统前如果系统中存在无法激活的逻辑卷组，为了避免重装系统过程出现异常，需在重装前将逻辑卷组恢复到正常状态或者清除这些逻辑卷组。举例如下：

-   恢复逻辑卷组状态
    1.  使用以下命令清除vg激活状态， 防止出现“Can't open /dev/sdc exclusively mounted filesystem”。

        ```
         vgchange -a n testvg32947
        ```

    2.  根据备份文件重新创建pv。

        ```
        pvcreate --uuid JT7zlL-K5G4-izjB-3i5L-e94f-7yuX-rhkLjL --restorefile /etc/lvm/backup/testvg32947 /dev/sdc
        ```

    3.  恢复vg信息。

        ```
        vgcfgrestore testvg32947
        ```

    4.  重新激活vg。

        ```
         vgchange -ay testvg32947
        ```


-   清除逻辑卷组

    ```
    vgchange -a n testvg32947
    vgremove -y testvg32947
    ```


