# 总体介绍<a name="ZH-CN_TOPIC_0184743328"></a>

## 概述<a name="section17845112761116"></a>

Libvirt工具采用XML格式的文件描述一个虚拟机特征，包括虚拟机名称、CPU、内存、磁盘、网卡、鼠标、键盘等信息。用户可以通过修改配置文件，对虚拟机进行管理。本章介绍XML配置文件各个元素的含义，指导用户完成虚拟机配置。

## 基本格式<a name="section1439184215279"></a>

虚拟机XML配置文件以domain为根元素，domain根元素中包含多个其他元素。XML配置文件中的部分元素可以包含对应属性和属性值，用以详细地描述虚拟机信息，同一元素的不同属性使用空格分开。

XML配置文件的基本格式如下，其中label代表具体标签名，attribute代表属性，value代表属性值，需要根据实际情况修改。

```
<domain type='kvm'>
    <name>VMName</name>
    <memory attribute='value'>8</memory>
    <vcpu>4</vcpu>
    <os>
       <label attribute='value' attribute='value'>
         ...
       </label>
    </os>
    <label attribute='value' attribute='value'>
      ...
    </label>  
</domain>
```

## 配置流程<a name="section1711441151115"></a>

1.  创建一个根元素为domain的XML配置文件。
2.  使用标签name，根据命名规则指定唯一的虚拟机名称。
3.  配置虚拟CPU和虚拟内存等系统资源。
4.  配置虚拟设备。
    1.  配置存储设备。
    2.  配置网络设备。
    3.  配置外部总线结构。
    4.  配置鼠标等外部设备。

5.  保存XML配置文件。

