# 配置虚拟串口<a name="ZH-CN_TOPIC_0187048017"></a>

## 概述<a name="section32532035151418"></a>

在虚拟化环境下，由于管理和业务的需求，虚拟机与宿主机需要互相通信。但在云管理系统复杂的网络架构下，运行在管理平面的服务与运行在业务平面的虚拟机之间，不能简单的进行三层网络互相通信，导致服务部署和信息收集不够快速。因此需要提供虚拟串口，来达到虚拟机与宿主机之间互相通信的目的。 通过在虚拟机的XML配置文件中增加相应串口的配置项，可以实现虚拟机与宿主机之间的互相通信。

## 操作步骤<a name="section811055418146"></a>

Linux虚拟机串口控制台，即虚拟机串口连接到宿主机的一个伪终端设备，通过宿主机的设备间接实现对虚拟机的交互式操作。在该场景下串口需配置为pty类型，本节介绍pty型串口的配置方法。

-   在虚拟机的XML配置文件中"devices"节点下添加如下所示的虚拟串口配置项：

    ```
        <serial type='pty'>
        </serial>
        <console type='pty'>
          <target type='serial'/>
        </console>
    ```

-   使用virsh console命令连接到正在运行的虚拟机的pty串口。

    ```
    # virsh console <VMInstance>
    ```

-   如果要确保没有遗漏任何串口消息，请在启动虚拟机时使用--console选项连接到串口。

    ```
    # virsh start --console <VMInstance>
    ```


